package routers

import (
	"github.com/tech/sendico/pkg/api/routers/internal/messagingimp"
	"github.com/tech/sendico/pkg/messaging"
	"github.com/tech/sendico/pkg/mlogger"
)

type Messaging interface {
	messaging.Register
	Finish()
}

func NewMessagingRouter(logger mlogger.Logger, config *messaging.Config) (Messaging, error) {
	return messagingimp.NewMessagingRouterImp(logger, config)
}
